Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.players
Class QTPlayerEventHandler

    java.lang.Object
      |
      +--quicktime.app.players.QTPlayerEventHandler

Direct Known Subclasses:
  QTPlayerAWTEventHandler

public abstract class QTPlayerEventHandler
extends java.lang.Object

When a QTPlayer is addedTo some kind of display space it receives an addedTo (or removedFrom) notification. At this point the QTPlayer will dispatch to the QTPlayerEventHandler to return a QTPlayerEventHandler which will handle all of the events that are generated from the source of interest that the player has been added to.

Applications can install custom event handler for the QTPlayer and in this construction process custom event handlers will be made first. If not custom event handlers are appropriate and a default handler exists it will be made and returned. The first event handler that is found will be returned as the event handler for any given QTPlayer.

The QTPlayerEventHandler is expected to handle all events for the QTPlayer.

Constructor Summary
`protected` | `QTPlayerEventHandler()` Construct a QTPlayerEventHandler

Method Summary
`protected abstract void` | `addedTo()` When the QTPlayer is added to its addedTo interest its event Handler is notified and should add any interests it requires to receive events.
`static void` | `registerEventHandlerMaker(QTPlayerEventHandlerMaker m)` Register a custom event handler maker that will make an EventDispatcher based on the type of event interest for the QTPlayer
`protected abstract void` | `removedFrom()` When the QTPlayer is removed from its addedTo interest its event Handler is notified and should remove any interests it has declared for events
`static void` | `removeEventHandlerMaker(QTPlayerEventHandlerMaker m)` Remove a custom event handler maker.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QTPlayerEventHandler

    protected QTPlayerEventHandler()

  Construct a QTPlayerEventHandler

Method Detail

### registerEventHandlerMaker

    public static void registerEventHandlerMaker(QTPlayerEventHandlerMaker m)

  Register a custom event handler maker that will make an EventDispatcher based on the type of event interest for the QTPlayer
  Parameters:
    `e` - the maker

### removeEventHandlerMaker

    public static void removeEventHandlerMaker(QTPlayerEventHandlerMaker m)

  Remove a custom event handler maker.
  Parameters:
    `e` - the maker to remove

### removedFrom

    protected abstract void removedFrom()

  When the QTPlayer is removed from its addedTo interest its event Handler is notified and should remove any interests it has declared for events

### addedTo

    protected abstract void addedTo()

  When the QTPlayer is added to its addedTo interest its event Handler is notified and should add any interests it requires to receive events.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD